> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/vector-store/get-vector-stores-information.md).

# Informationen des Vektor-Speichers abrufen

{% openapi src="/files/ruiFvGmmJmrVu2Iycaim" path="/vector-stores/me" method="get" %}
[rememberizer\_openapi.yml](https://2490272757-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fx5M0COIHmFFlpJ9e5pvp%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=22d7ca07-e3b4-475f-840e-857109bf09bc)
{% endopenapi %}

## Beispielanfragen

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: DEIN_API_SCHLÜSSEL"
```

{% hint style="info" %}
Ersetze `DEIN_API_SCHLÜSSEL` durch deinen tatsächlichen Vector Store API-Schlüssel.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'DEIN_API_SCHLÜSSEL'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
Ersetze `DEIN_API_SCHLÜSSEL` durch deinen tatsächlichen Vector Store API-Schlüssel.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "DEIN_API_SCHLÜSSEL"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
Ersetze `DEIN_API_SCHLÜSSEL` durch deinen tatsächlichen Vector Store API-Schlüssel.
{% endhint %}
{% endtab %}
{% endtabs %}

## Antwortformat

```json
{
  "id": "vs_abc123",
  "name": "Mein Vektor Speicher",
  "description": "Ein Vektor Speicher für Produktdokumentation",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## Authentifizierung

Dieser Endpunkt erfordert eine Authentifizierung mit einem API-Schlüssel im `x-api-key`-Header.

## Fehlerantworten

| Statuscode | Beschreibung                                                |
| ---------- | ----------------------------------------------------------- |
| 401        | Nicht autorisiert - Ungültiger oder fehlender API-Schlüssel |
| 404        | Nicht gefunden - Vektorstore nicht gefunden                 |
| 500        | Interner Serverfehler                                       |

Dieser Endpunkt ruft Informationen über den Vektorstore ab, der mit dem bereitgestellten API-Schlüssel verknüpft ist. Er ist nützlich, um Konfigurationsdetails zu überprüfen, einschließlich des Einbettungsmodells, der Dimensionalität und der verwendeten Suchmetrik. Diese Informationen können wertvoll sein, um Suchanfragen zu optimieren und die Fähigkeiten des Vektorstores zu verstehen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/vector-store/get-vector-stores-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
